<!--
 * @Author: your name
 * @Date: 2020-03-30 09:49:50
 * @LastEditTime: 2020-07-07 12:13:29
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \2020330\src\components\footer\footer.vue
-->
<template>
  <van-tabbar v-model="active" class="active_tab">
    <van-tabbar-item
      v-for="(item, index) in tabbars"
      :key="index"
      @click="tab(index, item.name)"
    >
      <span :class="currIndex == index ? active : ''">{{ item.title }}</span>
      <template slot="icon" slot-scope="props">
        <img :src="props.active ? item.active : item.normal" />
      </template>
    </van-tabbar-item>
  </van-tabbar>
</template>

<script>
export default {
  name: "tabbar",
  data() {
    return {
      currIndex: 0,
      active: 0,
      tabbars: [
        {
          name: "/",
          title: "首页",
          normal: require("@/assets/images/nav/home3.png"),
          active: require("@/assets/images/nav/home-fill3.png")
        },
        {
          name: "myTextBook",
          title: "书架",
          normal: require("@/assets/images/nav/shujia3.png"),
          active: require("@/assets/images/nav/shujia-fill3.png")
        },
       
        {
          index: 3,
          name: "personalCenter",
          title: "我的",
          normal: require("@/assets/images/nav/my3.png"),
          active: require("@/assets/images/nav/my-fill3.png")
        }
      ]
    };
  },
  methods: {
    tab(index, val) {
      this.currIndex = index;
      this.$router.push(val);
    }
  },
  created() {
    // 通过路由跳转判断选中的样式
    if (this.$route.name == "/") {
      this.active = 0;
      this.currIndex = 0;
    } else if (this.$route.name == "myTextBook") {
      this.active = 1;
      this.currIndex = 2;
    } else if (this.$route.name == "personalCenter") {
      this.active = 2;
      this.currIndex = 3;
    }
  }
};
</script>

<style scoped>
.active_tab {
  z-index: 10;
  background: #fff;
}
.active_tab img {
  width: 20px;
  height: 20px;
}

.van-tabbar-item--active {
  color: rgb(53, 110, 255);
}

.van-tabbar--fixed {
  border-top: 1px solid rgba(215, 215, 215, 0.56);
  z-index: 3000;
}
</style>
